using System;
using NinjaTrader.Cbi;

internal sealed class Delegate340 : MulticastDelegate
{
	public extern void Invoke(object sender, EventHandler<OrderEventArgs> e);

	public static void smethod_0(object object_0, EventHandler<OrderEventArgs> eventHandler_0, Delegate340 delegate340_1)
	{
		delegate340_1(object_0, eventHandler_0);
	}

	public extern Delegate340(object object_0, IntPtr intptr_0);

	static Delegate340()
	{
		Class10.smethod_13(typeof(Delegate340).TypeHandle);
	}

	internal static Delegate340 delegate340_0;
}
